Loading...
Searching...
No Matches
BALL::SESEdge Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/SESEdge.h>`

Inheritance diagram for BALL::SESEdge:

## Public Types

Enums
enum | Type { TYPE_CONCAVE = 0 , TYPE_CONVEX = 1 , TYPE_SINGULAR = 2 }

## Public Member Functions

Constructors and Destructors
| SESEdge ()
| SESEdge (const SESEdge &sesedge, bool deep=false)
| SESEdge (SESVertex *vertex0, SESVertex *vertex1, SESFace *face0, SESFace *face1, const TCircle3< double > &circle, RSEdge *rsedge, Type type, Index index)
virtual | ~SESEdge ()
Assignment
void | set (const SESEdge &sesedge, bool deep=false)
SESEdge & | operator= (const SESEdge &sesedge)
void | set (SESVertex *vertex0, SESVertex *vertex1, SESFace *face0, SESFace *face1, const TCircle3< double > &circle, RSEdge *rsedge, Type type, Index index)
Accessors
void | setCircle (const TCircle3< double > &center)
TCircle3< double > | getCircle () const
void | setRSEdge (RSEdge *rsedge)
RSEdge * | getRSEdge () const
void | setType (Type type)
Type | getType () const
Public Member Functions inherited from BALL::GraphEdge< SESVertex, SESEdge, SESFace >
| GraphEdge ()
virtual | ~GraphEdge ()
void | set (const GraphEdge< SESVertex, SESEdge, SESFace > &edge, bool deep=false)
GraphEdge< SESVertex, SESEdge, SESFace > & | operator= (const GraphEdge< SESVertex, SESEdge, SESFace > &edge)
void | setVertex (Position i, SESVertex *vertex)
SESVertex * | getVertex (Position i) const
void | setFace (Position i, SESFace *face)
SESFace * | getFace (Position i) const
void | setIndex (Index index)
Index | getIndex () const
SESVertex * | other (const SESVertex *vertex) const
bool | substitute (const SESVertex *old_vertex, SESVertex *new_vertex)
SESFace * | remove (const SESFace *face)
void | revert ()

## Friends

Class friends

- class SESFace
- class SESVertex
- class SolventExcludedSurface
- class SESComputer
- class TSESSingularityCleaner
- class TriangulatedSES
- class SESTriangulator

class | SESFace
class | SESVertex
class | SolventExcludedSurface
class | SESComputer
class | SESSingularityCleaner
class | TriangulatedSES
class | SESTriangulator
Friends inherited from BALL::GraphEdge< SESVertex, SESEdge, SESFace >

## Predicates

TCircle3< double > | circle_
RSEdge * | rsedge_
Type | type_
virtual bool | operator== (const SESEdge &sesedge) const
virtual bool | operator!= (const SESEdge &sesedge) const
virtual bool | operator*= (const SESEdge &) const
bool | isFree () const

## Additional Inherited Members

SESVertex * | vertex_ [2]
SESFace * | face_ [2]
Index | index_

## Detailed Description

Generic SESEdge Class.

Definition at line 33 of file SESEdge.h.

## Member Enumeration Documentation

## Type

enum BALL::SESEdge::Type

type of SESEdge: 0 concave 1 convex 2 singular

Enumerator
TYPE_CONCAVE |
TYPE_CONVEX |
TYPE_SINGULAR |

Definition at line 67 of file SESEdge.h.

## Constructor & Destructor Documentation

## SESEdge() [1/3]

BALL::SESEdge::SESEdge | ( |  | ) |

Default constructor. This method creates a new SESEdge object.

## SESEdge() [2/3]

BALL::SESEdge::SESEdge | ( | const SESEdge & | sesedge,
|  | bool | deep = false )

Copy constructor. Create a new SESEdge object from another.

Parameters

  sesedge | the SESEdge object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SESEdge object is linked to the neighbours of the old SESEdge object.

## SESEdge() [3/3]

BALL::SESEdge::SESEdge | ( | SESVertex * | vertex0,
|  | SESVertex * | vertex1,
|  | SESFace * | face0,
|  | SESFace * | face1,
|  | const TCircle3< double > & | circle,
|  | RSEdge * | rsedge,
|  | Type | type,
|  | Index | index )

Detailled constructor. Create a new SESEdge object from some nice objects.

Parameters

  vertex0 | assigned to the first vertex
  vertex1 | assigned to the second vertex
  face0 | assigned to the first face
  face1 | assigned to the second face
  circle | assigned to the circle
  rsedge | assigned to the RSEdge
  type | assigned to the type of the SESEdge
  index | assigned to the index

## ~SESEdge()

virtual BALL::SESEdge::~SESEdge | ( |  | ) |

virtual

Destructor. Destructs the SESEdge object.

## Member Function Documentation

## getCircle()

TCircle3< double > BALL::SESEdge::getCircle | ( |  | ) | const

Return the circle on wich the SESEdge lies.

Returns
  TCircle3<double> the circle of The SESEdge

## getRSEdge()

RSEdge * BALL::SESEdge::getRSEdge | ( |  | ) | const

Return the corresponding RSEdge.

Returns
  RSEdge* a pointer to th correwsponding RSEdge

## getType()

Type BALL::SESEdge::getType | ( |  | ) | const

Get the type of the SESEdge.

Returns
  Type the type of the SESEdge

## isFree()

bool BALL::SESEdge::isFree | ( |  | ) | const

isFree.

Returns
  bool true if the RSEdge of the SESEdge is free, false otherwise

## operator!=()

virtual bool BALL::SESEdge::operator!= | ( | const SESEdge & | sesedge | ) | const

virtual

Inequality operator.

Returns
  bool false if all vertices are equal modulo order, true otherwise

Reimplemented from BALL::GraphEdge< SESVertex, SESEdge, SESFace >.

## operator*=()

virtual bool BALL::SESEdge::operator*= | ( | const SESEdge & |  | ) | const

virtual

similarity operator.

Returns
  bool true

Reimplemented from BALL::GraphEdge< SESVertex, SESEdge, SESFace >.

## operator=()

SESEdge & BALL::SESEdge::operator= | ( | const SESEdge & | sesedge | ) |

Assign from another SESEdge. The SESEdge object is linked to the neighbours of the SESEdge object
to assign from.

Parameters

  sesedge | the SESEdge object to assign from

## operator==()

virtual bool BALL::SESEdge::operator== | ( | const SESEdge & | sesedge | ) | const

virtual

Equality operator.

Returns
  bool true if all vertices are equal modulo order, false otherwise

Reimplemented from BALL::GraphEdge< SESVertex, SESEdge, SESFace >.

## set() [1/2]

void BALL::SESEdge::set | ( | const SESEdge & | sesedge,
|  | bool | deep = false )

Assign from another SESEdge.

Parameters

  sesedge | the SESEdge object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the SESEdge object is linked to the neighbours of the SESEdge object to assign from.

## set() [2/2]

void BALL::SESEdge::set | ( | SESVertex * | vertex0,
|  | SESVertex * | vertex1,
|  | SESFace * | face0,
|  | SESFace * | face1,
|  | const TCircle3< double > & | circle,
|  | RSEdge * | rsedge,
|  | Type | type,
|  | Index | index )

Assign from some nice objects.

Parameters

  vertex0 | assigned to the first vertex
  vertex1 | assigned to the second vertex
  face0 | assigned to the first face
  face1 | assigned to the second face
  circle | assigned to the circle
  rsedge | assigned to the RSEdge
  type | assigned to the type of the SESEdge
  index | assigned to the index

## setCircle()

void BALL::SESEdge::setCircle | ( | const TCircle3< double > & | center | ) |

Set the circle on wich the SESEdge lies.

Parameters

  center | the new circle

## setRSEdge()

void BALL::SESEdge::setRSEdge | ( | RSEdge * | rsedge | ) |

Set the corresponding RSEdge.

Parameters

  rsedge | a pointer to the new RSEdge

## setType()

void BALL::SESEdge::setType | ( | Type | type | ) |

Set the type of the SESEdge.

Parameters

  type | the new type of the SESEdge

## Friends And Related Symbol Documentation

## SESComputer

friend class SESComputer

friend

Definition at line 51 of file SESEdge.h.

## SESFace

friend class SESFace

friend

Definition at line 48 of file SESEdge.h.

## SESSingularityCleaner

friend class SESSingularityCleaner

friend

Definition at line 52 of file SESEdge.h.

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 54 of file SESEdge.h.

## SESVertex

friend class SESVertex

friend

Definition at line 49 of file SESEdge.h.

## SolventExcludedSurface

friend class SolventExcludedSurface

friend

Definition at line 50 of file SESEdge.h.

## TriangulatedSES

friend class TriangulatedSES

friend

Definition at line 53 of file SESEdge.h.

## Member Data Documentation

## circle_

TCircle3<double> BALL::SESEdge::circle_

protected

Definition at line 249 of file SESEdge.h.

## rsedge_

RSEdge* BALL::SESEdge::rsedge_

protected

Definition at line 252 of file SESEdge.h.

## type_

Type BALL::SESEdge::type_

protected

Definition at line 256 of file SESEdge.h.